package com.djhk.uav.tfly.service.imp;

import com.djhk.uav.tfly.mapper.TFlyMapper;
import com.djhk.uav.tfly.model.TFly;
import com.djhk.uav.tfly.model.TFlyData;
import com.djhk.uav.tfly.service.ITFlyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 飞行架次Service业务层处理
 *
 * @author ruoyi
 * @date 2023-06-19
 */
@Service
public class TFlyServiceImpl implements ITFlyService
{
    @Autowired
    private TFlyMapper tFlyMapper;

    /**
     * 查询飞行架次
     *
     * @param flySeq 飞行架次主键
     * @return 飞行架次
     */
    @Override
    public TFly selectTFlyByFlySeq(String flySeq)
    {
        return tFlyMapper.selectTFlyByFlySeq(flySeq);
    }

    /**
     * 查询飞行架次列表
     *
     * @param tFly 飞行架次
     * @return 飞行架次
     */
    @Override
    public List<TFly> selectTFlyList(TFly tFly)
    {
        return tFlyMapper.selectTFlyList(tFly);
    }

    @Override
    public List<TFlyData> getTflyDataByOrderId(String orderid) {
        return tFlyMapper.getTflyDataByOrderId(orderid);
    }


}

